> For the complete documentation index, see [llms.txt](https://docs.jentis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jentis.com/core-concepts/jentis-account-and-container-structure.md).

# JENTIS Account & Container Structure

What is a container in JENTIS? How are they used for managing tags, domains, and environments?

JENTIS has a three-level hierarchy:

1. **JENTIS Platform Account:** This is the highest level of administration. In general, an account represents a single company and has one single point of contact. Here, you log in and can manage users, containers, and environments.
2. **Container:** A container is always directly connected to a domain and a JavaScript embed snippet.
3. **Container Environment:** Part of the JavaScript embed snippet is the definition of an environment. By default, a JENTIS Container will always have two: `stage` and `live`.

The JENTIS hierarchy and structure are mirrored in its code. In other words, the JENTIS server-side tracking architecture as a first-party solution forms the foundation for scaling across multiple sites. Each integration must be implemented in a first-party context, making having different JavaScript snippets, DNS A records, and containers inevitable.

Let's have a look at the generic short version of the JENTIS Code Snippet:

{% code overflow="wrap" lineNumbers="true" %}

```markup
<script>
(function(cdnBaseUrl, projectId, workspace, version) {
            ... // shortened for brevity
})
("https://JENTIS_SUBDOMAIN.mydomain.org", "JENTIS_CONTAINER_NAME", "JENTIS_CONTAINER_ENVIRONMENT", "_");
</script>
```

{% endcode %}

There are multiple dynamic parameters in that code:

* `JENTIS_SUBDOMAIN`: This is a dynamically generated value where you must map the DNS A record entry. All details are shared in your JTM account setup guide.
* `JENTIS_CONTAINER_NAME`: This refers to the name of your container, which will be used with the JS embed snippet.
* `JENTIS_CONTAINER_ENVIRONMENT`: Either `stage` or `live`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.jentis.com/core-concepts/jentis-account-and-container-structure.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
